package com.bjtdba.userCenter.service;

import com.bjtdba.entity.userCenter.UserVideoBrowse;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * 用户浏览记录表(UserVideoBrowse)表服务接口
 *
 * @author makejava
 * @since 2022-11-12 14:14:10
 */
public interface UserVideoBrowseService {

    /**
     * 通过ID查询单条数据
     *
     * @param bid 主键
     * @return 实例对象
     */
    UserVideoBrowse queryById(Integer bid);

    /**
     * 分页查询
     *
     * @param userVideoBrowse 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<UserVideoBrowse> queryByPage(UserVideoBrowse userVideoBrowse, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param userVideoBrowse 实例对象
     * @return 实例对象
     */
    void insert(UserVideoBrowse userVideoBrowse);

    long counts(UserVideoBrowse userVideoBrowse);

    /**
     * 修改数据
     *
     * @param userVideoBrowse 实例对象
     * @return 实例对象
     */
    UserVideoBrowse update(UserVideoBrowse userVideoBrowse);

    /**
     * 通过主键删除数据
     *
     * @param bid 主键
     * @return 是否成功
     */
    boolean deleteById(Integer bid);

}
